# In order to utilize the pre-commit-hook, once you clone your repo, execute `pre-commit install`
# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v2.4.0
    hooks:
    - id: trailing-whitespace
    - id: end-of-file-fixer
    - id: check-yaml
    - id: check-added-large-files
#  - repo: https://gitlab.com/orobardet/gitlab-ci-linter/
#    rev: master
#    hooks:
#      - id: gitlab-ci-linter

  - repo: https://github.com/antonbabenko/pre-commit-terraform
    rev: v1.55.0 # Get the latest from: https://github.com/antonbabenko/pre-commit-terraform/releases
    hooks:
      - id: terraform_tflint
      - id: terraform_fmt
      # brew install terrascan
      - id: terrascan
      # brew install terraform-docs
      - id: terraform_docs

  - repo: git://github.com/dnephin/pre-commit-golang
    rev: master
    hooks:
      - id: go-fmt
      - id: go-vet
      #- id: go-lint // golint is deprecated
      #- id: go-imports
      #- id: go-cyclo
        args: [-over=15]
      - id: validate-toml
      - id: no-go-testing
      - id: golangci-lint
      #- id: go-critic
      - id: go-unit-tests
      - id: go-build
      - id: go-mod-tidy
